Bug 1381855 - Custom role requires manual environment/files
Summary: Custom role requires manual environment/files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Carlos Camacho
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks: 1337782
TreeView+ depends on / blocked
 
Reported: 2016-10-05 08:32 UTC by Marius Cornea
Modified: 2016-12-14 16:09 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20161008015357.0d3e3e3.1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:09:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 382137 None None None 2016-10-05 08:34:11 UTC
Launchpad 1626976 None None None 2016-10-05 08:32:41 UTC

Description Marius Cornea 2016-10-05 08:32:41 UTC
Description of problem:
There are some usability issues with the custom roles interfaces, because we don't currently template default mappings for various per-role things in the base overcloud-resource-registry-puppet.yaml file.

It's possible to work around these things by copying files from existing roles and making a bespoke additional environment (or hacking on overcloud-resource-registry-puppet.yaml by copying the relevant lines), but this isn't convenient from a user interface perspective.

Instead we should template as much of this as possible by default, such that just adding a role name and list of services to roles_data.yaml is enough to create a custom role.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-5.0.0-0.20160929150845.4cdc4fc.el7ost.noarch

Comment 1 James Slagle 2016-10-06 13:31:00 UTC
carlos, please have a look at this one

Comment 2 Steven Hardy 2016-10-06 13:51:42 UTC
Carlos and I have pushed a number of patches tracked via https://bugs.launchpad.net/tripleo/+bug/1626976 which resolve this, we should pick these up by rebasing on the TripleO newton GA.

Comment 3 James Slagle 2016-10-06 19:32:45 UTC
i believe https://review.openstack.org/#/q/I23b84d4ee8c4d0bff4b4e38dc4731924a6272ac5,n,z is the last needed patch to merge

Comment 4 Carlos Camacho 2016-10-07 13:19:26 UTC
Indeed, now all patches were merged in master (backported to stable/newton)

Comment 5 James Slagle 2016-10-10 15:20:27 UTC
all patches merged to newton

Comment 7 Marius Cornea 2016-11-04 12:18:12 UTC
Currently for deploying custom roles the input in environment files is related to the nic templates/networks which are particular to each deployment, e.g for a role running the Neutron agents:


  OS::TripleO::Networker::Net::SoftwareConfig: /home/stack/openstack_deployment/nic-configs/networker.yaml

  OS::TripleO::Networker::Ports::ExternalPort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml
  OS::TripleO::Networker::Ports::TenantPort: /usr/share/openstack-tripleo-heat-templates/network/ports/tenant.yaml
  OS::TripleO::Networker::Ports::ManagementPort: /usr/share/openstack-tripleo-heat-templates/network/ports/management.yaml
  OS::TripleO::Networker::Ports::InternalApiPort: /usr/share/openstack-tripleo-heat-templates/network/ports/internal_api.yaml
  OS::TripleO::Networker::Ports::StoragePort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml
  OS::TripleO::Networker::Ports::StorageMgmtPort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml

Comment 9 errata-xmlrpc 2016-12-14 16:09:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.